using System;

namespace tournament_dohikies
{
    class Program
    {
        static void Main(string[] args)
        {
            var s = Console.ReadLine().Split();
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int x2 = int.Parse(s[0]);
            int y2 = int.Parse(s[1]);
            if (x1 != x2 && y1 != y2)
                Console.WriteLine("1");
            if (x1 == x2)
                Console.WriteLine("2");
            if (y1 == y2)
                Console.WriteLine("2");
        }
    }
}